<?php 

/* ------------------------------------------------------------------------- *
 *   CUSTOM POST TYPE content
/* ------------------------------------------------------------------------- */	


add_action('init', 'create_fb_contents');
function create_fb_contents() {

    $labels = array(
        'name'               => __('Grid', 'gridby-plugin'),
        'singular_name'      => __('Content', 'gridby-plugin'),
        'add_new'            => __('Add Content', 'gridby-plugin'),
        'add_new_item'       => __('Add New Content', 'gridby-plugin'),
        'edit_item'          => __('Edit Content', 'gridby-plugin'),
        'new_item'           => __('New Content', 'gridby-plugin'),
        'all_items'          => __('All Contents', 'gridby-plugin'),
        'view_item'          => __('View Content', 'gridby-plugin'),
        'search_items'       => __('Search Content', 'gridby-plugin'),
        'not_found'          => __('No Contents found', 'gridby-plugin'),
        'not_found_in_trash' => __('No Contents found in the trash', 'gridby-plugin'),
    );

    $args = array(
        'labels'             => $labels,
        'public'             => true,
        'rewrite'            => array('slug' => 'content'),
        'has_archive'        => true,
        'hierarchical'       => true,
        'menu_position'      => 21,
        'menu_icon' 		 => 'dashicons-schedule',
        'supports'           => array(
                                'title',
                                'editor',
                                'thumbnail',
                                'excerpt',
                                'page-attributes' 
                                ),

    );

   register_post_type('fb_contents', $args);
}

/**
 * Show info in backend list of custom post type 
 */

// create the columns

add_filter( 'manage_edit-fb_contents_columns', 'my_edit_fb_contents_columns' ) ;

function my_edit_fb_contents_columns( $columns ) {

    $columns = array(
        'cb' => '<input type="checkbox" />',
        'title' => __( 'Title' ),
        'label' => __( 'Big Text' ),
        'subtitle' => __( 'Subtitle' ),
    );

    return $columns;
}

// populate the columns

add_action( 'manage_fb_contents_posts_custom_column', 'my_manage_fb_contents_columns', 10, 2 );

function my_manage_fb_contents_columns( $column, $post_id ) {
    global $post;

    switch( $column ) {

        /* If displaying the 'duration' column. */
        case 'label' :

            /* Get the post meta. */
            $meta_fb_contents = get_post_meta($post->ID);
            $label_text = $meta_fb_contents['meta-text-big'][0]; 
            

            /* If no duration is found, output a default message. */
            if ( empty(  $label_text  ) )
                echo __( 'Unknown' );

            /* If there is a duration, append 'minutes' to the text string. */
            else
                echo  $label_text;

            break;

        /* If displaying the 'genre' column. */
        case 'subtitle' :

           
            /* Get the post meta. */
            $meta_fb_contents = get_post_meta($post->ID);
            $subtitle = $meta_fb_contents['meta-textarea-subtit'][0]; 
            

            /* If no duration is found, output a default message. */
            if ( empty(  $subtitle  ) )
                echo __( 'Unknown' );

            /* If there is a duration, append 'minutes' to the text string. */
            else
                echo  $subtitle;


            break;

        /* Just break out of the switch statement for everything else. */
        default :
            break;
    }
}

// sort the custom post in backend in menu order

function set_custom_post_types_admin_order($wp_query) {
  if (is_admin()) {
    // Get the post type from the query
    $post_type = $wp_query->query['post_type'];
    // if it's one of our custom ones
    if ( $post_type == 'fb_contents') {
      $wp_query->set('orderby', 'menu_order');
      $wp_query->set('order', 'ASC');
    }
  }
}
add_filter('pre_get_posts', 'set_custom_post_types_admin_order');

?>